Method: networks.customTargetingValues.batchActivate

Batch activates CustomTargetingValue objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/customTargetingValues:batchActivate

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of CustomTargetingValues. Format: networks/{networkCode}

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (ActivateCustomTargetingValueRequest)
    }
  ]
}
Fields
requests[]

object (ActivateCustomTargetingValueRequest)

Required. The CustomTargetingValue objects to activate. A maximum of 100 objects can be activated in a batch.

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

ActivateCustomTargetingValueRequest

Request message to activate a CustomTargetingValue.

JSON representation
{
  "name": string
}
Fields
name

string

Required. The resource name of the CustomTargetingValue. Format: networks/{networkCode}/customTargetingValues/{customTargetingValueId}